imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

editor:

  config:
    width: "1024px"
    height: "560px"
    resize_enabled: true
    resize_dir: 'both'
    resize_maxWidth: 1024
    resize_minWidth: 560
    uiColor: "red"
    autoGrow_bottomSpace: 50
    autoGrow_maxHeight: 900
    autoGrow_onStartup: 'true'

    extraPlugins:
      - justify
      - autolink
      - autogrow
      - wordcount
      - specialchar
      - showblocks

    justifyClasses:
      - text--left
      - text-center
      - text-right
      - text-justify

    codeSnippet_theme: 'monokai_sublime'

    format_tags: "p;h1;h2;h3;h4;h5;pre"

    stylesSet:
      # Heading Styles
      - { name: "H1", element: ['h1', 'h2', 'h3', 'h4'], attributes: {class: 'heading--h1' }}
      - { name: "H2", element: ['h1', 'h2', 'h3', 'h4'], attributes: {class: 'heading--h2' }}
      - { name: "H3", element: ['h1', 'h2', 'h3', 'h4'], attributes: {class: 'heading--h3' }}
      - { name: "H4", element: ['h1', 'h2', 'h3', 'h4'], attributes: {class: 'heading--h4' }}

      # Block Element Styles
      - { name: "Align Left", element: ['h1', 'h2', 'h3', 'h4', 'p'], attributes: {class: 'text-left' }}
      - { name: "Align Center", element: ['h1', 'h2', 'h3', 'h4', 'p'], attributes: {class: 'text-center' }}
      - { name: "Align Right", element: ['h1', 'h2', 'h3', 'h4', 'p'], attributes: {class: 'text-right' }}
      - { name: "Justify Text", element: ['h1', 'h2', 'h3', 'h4', 'p'], attributes: {class: 'text-justify' }}

      # Inline Element Styles
      - { name: "CTA", element: "a", attributes: {class: 'btn' }}
      - { name: "CTA Uppercase", element: "a", attributes: {class: 'btn btn--uppercase' }}
      - { name: "CTA Thin", element: "a", attributes: {class: 'btn btn--thin' }}
      - { name: "CTA Bold", element: "a", attributes: {class: 'btn btn--bold' }}
      - { name: "CTA Large", element: "a", attributes: {class: 'btn btn--large' }}

      # List Styles
      - { name: 'Grey Bullets', element: 'ul', attributes: {class: 'list--grey' } }
      - { name: 'Red Bullets', element: 'ul', attributes: {class: 'list--red' } }

    toolbar:
      - { name: 'document', items: [ 'Source'] }
      - { name: 'clipboard', items: [ 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo' ] }
      - { name: 'tools', items: [ 'Maximize', '-', 'ShowBlocks', '-', 'RemoveFormat'] }
      - "/"
      - { name: 'styles', items: [ 'Styles', 'Format'] }
      - { name: 'basicstyles', items: [ 'Bold', 'Italic', 'Underline', 'Strike', '-', 'CopyFormatting' ] }
      - { name: 'paragraph', items: [ 'NumberedList', 'BulletedList', '-', 'Blockquote', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock' ] }
      - { name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] }
      - { name: 'insert', items: [ 'HorizontalRule' ] }

classesAnchor:
  page:
    class: 'link--page'
    type: 'page'
  folder:
    class: 'link--folder'
    type: 'folder'
  file:
    class: 'link--file'
    type: 'file'
  external:
    class: 'link--external'
    type: 'url'
  mail:
    class: 'link--mail'
    type: 'mail'
